This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 999788 - qemu should give a more friendly prompt when didn't specify read-only for VMDK format disk
qemu should give a more friendly prompt when didn't specify read-only for VMD...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Fam Zheng
Virtualization Bugs
:
Depends On:
Blocks: 999789
  Show dependency treegraph
 
Reported: 2013-08-22 02:51 EDT by Sibiao Luo
Modified: 2013-11-21 02:12 EST (History)
13 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.409.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 999789 (view as bug list)
Environment:
Last Closed: 2013-11-21 02:12:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sibiao Luo 2013-08-22 02:51:37 EDT
Description of problem:
boot guest with a vmdk format disk which did not specify read-only, qemu will quit with a "'vmdk' invalid format" prompt, I suggest that QEMU should give a more friendly prompt for users, like: VMDK should use a read-only drive.

Version-Release number of selected component (if applicable):
host info:
2.6.32-412.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.397.el6.x86_64
guest info:
win2012 64bit

How reproducible:
100%

Steps to Reproduce:
1.create a vmdk file format disk.
# qemu-img create -f vmdk vmdk-data-disk.vmdk 10G
2.boot guest with this vmdk format disk which did not specify read-only for it.
e.g:...-drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-data-disk,id=data-disk

Actual results:
after step 2, qemu will quit with a "'vmdk' invalid format" prompt.
qemu-kvm: -drive file=/home/vmdk-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop: 'vmdk' invalid format
/etc/qemu-ifdown: could not launch network script

Expected results:
I suggest that QEMU should give a more friendly prompt for users, like: VMDK should use a read-only drive.

Additional info:
Comment 7 Sibiao Luo 2013-10-07 23:27:54 EDT
Verified this issue on qemu-kvm-0.12.1.2-2.410.el6.x86_64 with the same steps as comment #0.

host info:
# uname -r && rpm -q qemu-kvm
2.6.32-420.el6.x86_64
qemu-kvm-0.12.1.2-2.410.el6.x86_64

e.g:...-drive file=/mnt/my-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop -device virtio-blk-pci,bus=pci.0,addr=0x7,drive=drive-data-disk,id=data-disk
qemu-kvm: -drive file=/mnt/my-data-disk.vmdk,if=none,id=drive-data-disk,format=vmdk,cache=none,werror=stop,rerror=stop: 'vmdk' can be only used as read-only device.
/etc/qemu-ifdown: could not launch network script

Results:
after step 2, QEMU will quit and give a more friendly prompt message for users, like: "'vmdk' can be only used as read-only device".

Base on above, this issue has been fixed correctly, move to VERIFIED status, please correct me if any mistake.

Best Regards,
sluo
Comment 8 errata-xmlrpc 2013-11-21 02:12:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1553.html

Note You need to log in before you can comment on or make changes to this bug.